=== modified file 'loggerhead/exporter.py'
--- loggerhead/exporter.py	2011-05-31 03:06:21 +0000
+++ loggerhead/exporter.py	2011-06-01 02:24:47 +0000
@@ -8,16 +8,16 @@
 class TarExporterFileObject(object):
     
     def __init__(self):
-        self._buffer = ''
-    
+        self._buffer = []
+        
     def write(self, str):
-        self._buffer += str
-    
+        self._buffer.append(str)
+        
     def get_buffer(self):
-        buffer = self._buffer
-        self._buffer = ''
-        return buffer
-
+        try:
+            return ''.join(self._buffer)
+        finally:
+            self._buffer = []
         
 def export_tarball(history, revid):
     """Export tree contents to a tarball.

